(function(){
    X.pageLogic['kanbanadmin'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var data = parms.extData;

            $('.kanbanadmin-box').css('height',window.innerHeight+'px');

            var reportlistdata;
            var toadddata = [];//已添加报表数据
            var submitdata = [];//提交数据

            // 更新看板
            kanbanupdata();
            function kanbanupdata(){
                X.api("report/read_report","post",{project_id: X['DATA']['projectid'],dashboard_id:X.DATA['dashboard_id']},function(d){
                    reportlistdata = d;
                    X.laytpldata('#to-be-added-baobiao-dot',d,'.to-be-added-baobiao');
                    X.laytpldata('#to-added-baobiao-dot',d,'.to-added-baobiao');
                    var datalist = [
                        {title:'全部',id:'0'},
                        {title:'事件分析',id:'event'},
                        {title:'留存分析',id:'retention'},
                        {title:'漏斗分析',id:'funnel'},
                        {title:'属性分析',id:'0'},
                        {title:'分布分析',id:'scatter'},
                        {title:'SQL查询',id:'0'}
                    ]
    
                    X.laydropdown('#kanbanadmin-ss-right',datalist,function(d){
                        $('#kanbanadmin-ss-right span').html(d.title);
                        updatalist(d.title);
                    })
                    toadddataprocessing();
                })
            }
            

            function updatalist(title){
                console.log(title);
                var screendata=[];//筛选后的数据
                for(let i in reportlistdata){
                   if(title == 0){
                       screendata = reportlistdata;
                    }else {
                       if(reportlistdata[i]['cat'] == title){
                           screendata.push(reportlistdata[i]);
                       }
                    }
                }
                
                X.laytpldata('#to-be-added-baobiao-dot',screendata,'.to-be-added-baobiao');
            }

            // 搜索
            $(document).off('click','.kanbanadmin-ss input').on('blur','.kanbanadmin-ss input',function(){
                var screendata=[];//筛选后的数据
                for(let i in reportlistdata){
                    if($(this).val() != ""){
                        if(reportlistdata[i]['name'].indexOf($(this).val()) != -1){
                            screendata.push(reportlistdata[i]);
                        }
                    }else {
                        screendata = reportlistdata;
                    }
                }
                X.laytpldata("#to-be-added-baobiao-dot",screendata,".to-be-added-baobiao");
            })
            
            //添加报表
            $(document).off('click','.kanbanadd').on('click','.kanbanadd',function(){
                var index = $(this).attr('data-index');
                reportlistdata[index]['added'] = true;
                X.laytpldata('#to-be-added-baobiao-dot',reportlistdata,'.to-be-added-baobiao');
                X.laytpldata('#to-added-baobiao-dot',reportlistdata,'.to-added-baobiao');
                toadddataprocessing();
            })

            
            //渲染已添加报表下拉框
            function toadddataprocessing(){ 
                toadddata = [];
                for(let i in reportlistdata){
                    if(reportlistdata[i]['added'] == true){
                        toadddata.push(reportlistdata[i]);
                    }
                }
                var downmenu = [
                    {title:'表格',id:'table'},
                    {title:'图形',id:'echarts'}
                ]
                submitdata = [];
                for(let i in toadddata){
                    var arr = {
                        report_id:toadddata[i]['_id'],
                        graph_type:'table',
                        model:toadddata[i]['cat'],
                        name:toadddata[i]['name'],
                    }
                    submitdata.push(arr);
                    X.laydropdown('.to-added-more'+i,downmenu,function(d){

                        submitdata[i]['graph_type'] = d.id;
              
                    })
                }
            };

            $(document).off('click','.to-added-del').on('click','.to-added-del',function(){
                var id = $(this).attr('data-id');
                X.api('dashboard/del_report','post',{_id:X['DATA']['dashboard_id'],report_id:id},function(){
                    kanbanupdata();
                })
            })

            $(document).off('click','.kanbanadmin-but-yy').on('click','.kanbanadmin-but-yy',function(){
                X.api('dashboard/add_report','post',{_id:X['DATA']['dashboard_id'],report_ids:submitdata},function(d){
                    if(d == 'ok'){
                        me.callback && me.callback();
                        layer.closeAll();
                        layer.msg('应用成功');
                    }
                })
            })

        }
    };
})();